/*
 * Author:          Patrick-Christopher Mattulat
 * Co-Author:       Claude Sonnet 4.6 (LLM)
 * Company:         Lynar Studios
 * E-Mail:          webmaster@lynarstudios.com
 * Created:         2023-02-04
 * Changed:         2026-06-23
 *
 * */

#include <ls-std/core/exception/IncompleteJsonException.hpp>

using ls::standard::core::Exception;
using ls::standard::core::IncompleteJsonException;
using std::move;
using std::string;

IncompleteJsonException::IncompleteJsonException() : Exception("IncompleteJsonException")
{}

IncompleteJsonException::IncompleteJsonException(const string &_message) : IncompleteJsonException()
{
  this->_setMessage(_message);
}

IncompleteJsonException::~IncompleteJsonException() noexcept = default;

const char *IncompleteJsonException::what() const noexcept
{
  return this->_getIdentifiedMessage("this JSON string is incomplete.");
}
